<!-- Breadcrumb -->
<div class="breadcrumbs overlay" data-stellar-background-ratio="0.7">

</div>
<!--/ End Breadcrumb -->
<div class="container">
    <div class="row my-4">
        <div class="col-md-12">
            <ul class="booking-journey">
                <li class="done">
                    <a class="item">Search <i class="icon-tick-bold"></i></a>
                </li>
                <li class="done">
                    <a class="item" ng-click="goBack('/hotelResult')"href>Choose Hotel <i class="icon-tick-bold"></i></a>
                </li>
                <li class="active">
                    <span class="item">Choose Room</span>
                </li>
                <li>
                    <span class="item">Book</span>
                </li>
            </ul>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-md-12">
            <h3>
                Review Your Hotel
            </h3>
        </div>
    </div>
    <div class="row my-4">
        <div class="col col-8">
            <div class="card flight-summary">
                <div class="card-header">
                   <span ng-bind="selectedHotelResp1.name"></span> <a href="#" class="shortlist-toggle add" ng-class="{ 'add': !hotel.inShortlist, 'remove': hotel.inShortlist }" ng-click="toggleShortlist($event)" placement="right" hotel="::cm.hotel">
    <i ng-class="{ 'icon-favourite': !hotel.inShortlist, 'icon-favourite-active': hotel.inShortlist }" tooltip="Save this hotel to your shortlist" class="icon-favourite"></i>
</a>
                </div>
                <div class="card-body">
                    <ul class="sc-c-listing-card__ratings inline-info-list">
                        <img ng-show="starRating!=null" src="images/starts/{{starRating}}.png"/></h3>
                    </ul>
                    <div class="airports">
                       <span ng-bind="selectedHotelResp1.address"></span>
                        <!-- <a href="#" class="o-icon-label o-icon-label--sm" lightbox-map-trigger="" element="cm.hotel"> -->
                            <i class="o-icon-label__icon icon-pin"></i>
                            <span class="o-icon-label__caption">Show on map</span>
                        <!-- </a> -->
                    </div>
                    <ul class="hotel-facility-icons">
                        <!---->
                        <li>
                            <i class="icon-facility-AC"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-BA"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-GM"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-PK"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-RS"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-SW"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-TV"></i>
                        </li>
                        <!---->
                        <li>
                            <i class="icon-facility-IN"></i>
                        </li>
                        <!---->
                    </ul>
                    <a class="o-icon-label o-icon-label--sm" href>
                        <i class="o-icon-label__icon icon-search"></i> 
                        <span class="o-icon-label__caption">
                             <a ng-click="goBack('/hotelResult')"href>Choose a different hotel</a>
                        </span>
                    </a>
                    <div class="mt-3" uib-carousel active="active" interval="myInterval" no-wrap="noWrapSlides">
                        <div uib-slide ng-repeat="slide in selectedHotelResp1.galleries track by $index" index="$index">
                            <img ng-src="{{slide.path}}" style="margin:auto;">
                        </div>
                    </div>


                </div>
            </div>
        </div>
        <div class="col col-4">
            <div class="card flight-summary">
                <div class="card-header">
                    Price Breakdown
                </div>
                <div class="card-body py-4">
                    <ul class="cost-breakdown-list pb-2">
                        <li class="section">
                            <div class="title">
                                No of Rooms 
                                <span> </span>
                            </div>
                            <div class="total price">{{selectedHotelResp1.occGroups.length}}</div>
                        </li>
                        <li ng-repeat ="roomInfo in selectedHotelRooms" class="section">
                            <div class="title">Room {{$index+1}}</div>
                            <div class="total price">{{currency}} {{roomInfo.rawRoomFare}}</div>
                        </li>
                        <li class="section section-total">
                            <div class="title">Total room price</div>
                            <div class="total price">{{currency}} {{totalRoomFares}}</div>
                        </li>
                    </ul>
                    <button type="button" class="btn btn-block btn-select" ng-click="onRoomSelect()">
                        Select Room
                    </button>
                </div>
            </div>

            
        </div>
    </div>

    <div class="row mb-3" id="hotelRoomsList">
	<div class="cssload-container" ng-show="loading">
			<div class="cssload-tube-tunnel"></div>
		</div>
		<div class="col">
            <div class="card book-review mb-4 roomset" ng-repeat="roomList in selectedHotelResp1.occGroups track by $index">
				<fieldset id="room_{{$index}}" name="roomset">
					
					<h5 class="card-header red">Room {{$index+1}} &minus; &lpar;Adult &minus; {{roomList.roomGrpBean.adultCount}} , Child &minus; {{roomList.roomGrpBean.childCount}} &rpar;</h5>
				
				<div>
				
				<div class="card-body" id="roomItem_{{$parent.index}}" ng-repeat="roomInfo in roomList.roomInfos">
					<h5 >{{roomInfo.roomName}}</h5>
					<div class="row hotel-room-item pb-3">
                        <div class="col-md-3">
                            <figure class="my-0">
                                <img src="{{roomList.roomImgPath}}" />
                            </figure>
                        </div>
                        <div class="col-md-9">
                          </div>
                    </div>
					
					<div class="row hotel-room-item item-fare-row">
                        <div class="col-md-3">
                            <p>{{roomInfo.mealBoardDesc}}</p>
                        </div>
                        <div class="col-md-3">
                            <p class="hype-message" ng-bind-html="renderHTMLFactory.renderHTML(roomInfo.cancellationPolicy)"></p>
                        </div>
                        <div class="col-md-4 text-right">
                            <div class="sc-c-price-block__amount sc-c-price-block__amount--secondary">
                                OMR {{roomInfo.rawRoomFare}}
                            </div>
                            <span>Hotel total price</span>
                        </div>
                        <div class="col-md-2 text-right">
                           <input ng-click="calculateTotal($parent.$index,$index);" class="roomtype_{{$parent.$index}}_{{$index}}" type="radio" name="selectRoom_{{$parent.$index}}"  ng-checked="roomInfo.isSelected"/>
                        </div>
					
                    </div>
					
					</div>
				
				</div>
				</fieldset>
				 <div class="text-right">
				<button type="button" ng-click="onRoomSelect();"  ng-disabled="disabled" class="btn btn-primary btn-select">
                                Select Rooms
                            </button>
				</div>
				</div>
			</div>
		</div>

    <div class="sc-c-header-bar">
        <h3>
            Hotel Information
        </h3>
    </div>

    <div class="o-placeholder o-placeholder--sm">
        <div class="sc-c-box booking-options-panel">
            <div class="sc-c-box__content hotel-info-box">
			<p ng-bind-html="renderHTMLFactory.renderHTML(selectedHotelResp1.htlDesc)"></p>
           </div>

        </div>

    </div>
</div>
